<div align="center">
  <img alt="react-native-notificated" src="https://github.com/TheWidlarzGroup/react-native-notificated/blob/master/docs/static/img/notificated_logo_small.png?raw=true">
<h1 align="center">
  Blazingly super fast ⚡️ React Native toast notifications
</h1>
<a href="https://thewidlarzgroup.github.io/react-native-notificated/">react-native-notificated</a>
</div>

---

![Build status - typescript compile](https://img.shields.io/github/workflow/status/TheWidlarzGroup/react-native-notificated/TypeScript)
![License badge](https://img.shields.io/npm/l/react-native-notificated)
<br />
![Latest, released version](https://img.shields.io/github/v/release/TheWidlarzGroup/react-native-notificated)
<br />
![Date of latest commit](https://img.shields.io/github/last-commit/TheWidlarzGroup/react-native-notificated)
![Number of contributors](https://img.shields.io/github/contributors/TheWidlarzGroup/react-native-notificated)

## 🏹 Requirements

- `react-native` >= 0.62.0
- `reanimated` >= 2
- `react-native-gesture-handler` >= 1.10.3
- `typescript` >= 4.1.0 (if you use TypeScript)
- `expo` >= 41 (if you use Expo)

## 🚀 Installation

```shell
yarn add react-native-notificated
```

## 🔥 New Architecture

React-native-notificated is fully compatible with React new architecture on both Android and iOS.

## 📖 Documentation

Check the docs here [Click](https://thewidlarzgroup.github.io/react-native-notificated/)

- [Basic Usage](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/basics/basic-usage)
- [Basic Configuration](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/basics/basic-configuration)
- [Global Notifications Settings](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/comprehensive-configuration/global-notifications-settings)
- [Order Of Settings Overwriting](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/comprehensive-configuration/order-of-settings-overwriting)
- [Default Variants](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/default-variants-config/default-variants)
- [Global Styles Settings](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/default-variants-config/global-config)
- [Single Notification Config](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/default-variants-config/props-config)
- [Notification position](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/default-variants-config/position)
- [Transitions](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/animations/changing-transitions)
- [Custom Transitions](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/animations/custom-transitions)
- [Default Examples](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/examples/default-examples)
- [Dark Mode Examples](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/examples/dark-mode-examples)
- [Global Config Examples](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/examples/global-config-examples)
- [Global Types Config Examples](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/examples/global-types-config-examples)
- [Custom Examples](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/examples/custom-examples)
- [Redux Example](https://thewidlarzgroup.github.io/react-native-notificated/docs/intro/examples/redux-example)
- [Api Reference](https://thewidlarzgroup.github.io/react-native-notificated/docs/api/apiReference)

## 🎯 Usage

Features of this library have been presented at App.js 2022 conference. Find out why `react-native-notificated` is the only in-app notitication library that you'll ever need [HERE](https://youtu.be/LDeTWZDDtiM)

## 🛸 Dependencies

This library needs these dependencies to be installed in your project before you can use it:

```shell
yarn add react-native-reanimated react-native-gesture-handler
```

**react-native-reanimated** requires additional installations
steps: [guide here](https://docs.swmansion.com/react-native-reanimated/docs/fundamentals/getting-started/#installation) 👈

**react-native-gesture-handler** requires additional installations
steps: [guide here](https://docs.swmansion.com/react-native-gesture-handler/docs/) 👈

## Example

|                                                      Android Emulator                                                       |                                                        iOS Simulator                                                        |
| :-------------------------------------------------------------------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------------------------------: |
| <video src="https://user-images.githubusercontent.com/62747088/171445996-7e83ffc2-80a2-4a03-a972-3b4e26c878ad.mp4"></video> | <video src="https://user-images.githubusercontent.com/62747088/171443943-e0f897c2-ed11-42cd-95a7-9cf75d8cc115.mp4"></video> |

## 💪🏽 Uses

- [react-native-reanimated](https://github.com/software-mansion/react-native-reanimated)
- [react-native-gesture-handler](https://github.com/software-mansion/react-native-gesture-handler)
- [react-native-builder-bob](https://github.com/callstack/react-native-builder-bob)

## 🥂 Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## 🏢 Built with ♥️ and ⌨️ at TheWidlarzGroup

Built at [TheWidlarzGroup](https://www.thewidlarzgroup.com/?utm_source=rnnotif&utm_medium=readme) - the group of React Native Developers and Designers who has built this project for you.
If you like it -> give it a star!

E-mail if you have any questions or just want to talk <hello@thewidlarzgroup.com>

## 🏢 License

The MIT License
See [LICENSE](LICENSE.md) for more information.
