"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createNotifications = void 0;

var _react = _interopRequireDefault(require("react"));

var _defaultConfig = require("../defaultConfig/defaultConfig");

var _NotificationEmitterApi = require("./services/NotificationEmitterApi");

var _NotificationsRenderer = require("./renderers/NotificationsRenderer");

var _useNotificationConfig = require("./hooks/useNotificationConfig");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createNotifications = config => {
  const emitter = (0, _NotificationEmitterApi.getNotificationEmmiter)();
  const CustomVariantsTypeHelper = {};

  const NotificationsProvider = _ref => {
    let {
      children = null
    } = _ref;
    return /*#__PURE__*/_react.default.createElement(_useNotificationConfig.NotificationContext.Provider, {
      value: { ..._defaultConfig.InAppNotificationsConfig,
        ...config
      }
    }, children, /*#__PURE__*/_react.default.createElement(_NotificationsRenderer.NotificationsRenderer, null));
  };

  const ModalNotificationsProvider = _ref2 => {
    let {
      children = null,
      notificationTopPosition
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_useNotificationConfig.NotificationContext.Provider, {
      value: { ..._defaultConfig.InAppNotificationsConfig,
        ...config
      }
    }, children, /*#__PURE__*/_react.default.createElement(_NotificationsRenderer.NotificationsRenderer, {
      isModalProvider: true,
      notificationTopPosition: notificationTopPosition
    }));
  };

  const useNotifications = () => emitter;

  return {
    useNotifications,
    NotificationsProvider,
    CustomVariantsTypeHelper,
    ModalNotificationsProvider,
    ...emitter
  };
};

exports.createNotifications = createNotifications;
//# sourceMappingURL=createNotifications.js.map