"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.shouldTriggerGesture = void 0;

var _math = require("../../utils/math");

const shouldTriggerGesture = (config, gesture) => {
  var _config$activationDis, _config$activationVel, _config$activationDis2, _config$activationVel2;

  switch (config.direction) {
    case 'full':
      {
        return !(0, _math.isValueInRange)(gesture.distance[0], config.x.activationDistances) || !(0, _math.isValueInRange)(gesture.velocity[0], config.x.activationVelocities) || !(0, _math.isValueInRange)(gesture.distance[1], config.y.activationDistances) || !(0, _math.isValueInRange)(gesture.velocity[1], config.y.activationVelocities);
      }

    case 'x':
      return (// fallback value if config gets only 'direction' param; values reflect FullGestureConfig.x in defualtGestureConfig
        !(0, _math.isValueInRange)(gesture.distance[0], (_config$activationDis = config.activationDistances) !== null && _config$activationDis !== void 0 ? _config$activationDis : 100) || !(0, _math.isValueInRange)(gesture.velocity[0], (_config$activationVel = config.activationVelocities) !== null && _config$activationVel !== void 0 ? _config$activationVel : 2000)
      );

    case 'y':
      return (// fallback value if config gets only 'direction' param; values reflect FullGestureConfig.y in defualtGestureConfig
        !(0, _math.isValueInRange)(gesture.distance[1], (_config$activationDis2 = config.activationDistances) !== null && _config$activationDis2 !== void 0 ? _config$activationDis2 : 100) || !(0, _math.isValueInRange)(gesture.velocity[1], (_config$activationVel2 = config.activationVelocities) !== null && _config$activationVel2 !== void 0 ? _config$activationVel2 : 1000)
      );

    case 'none':
    default:
      return false;
  }
};

exports.shouldTriggerGesture = shouldTriggerGesture;
//# sourceMappingURL=shouldTriggerGesture.js.map