"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNotificationConfig = exports.NotificationContext = void 0;

var _react = require("react");

const NotificationContext = /*#__PURE__*/(0, _react.createContext)(null);
exports.NotificationContext = NotificationContext;

const useNotificationConfig = () => {
  const config = (0, _react.useContext)(NotificationContext);

  if (config === null) {
    throw new Error('Notification context used out of scope');
  }

  return config;
};

exports.useNotificationConfig = useNotificationConfig;
//# sourceMappingURL=useNotificationConfig.js.map