"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNotificationEventHandler = void 0;

var _react = require("react");

var _NotificationEmitter = require("../services/NotificationEmitter");

const useNotificationEventHandler = _ref => {
  let {
    dismiss,
    notificationEvent,
    notificationsQueue,
    present,
    dispatch,
    isModalProvider
  } = _ref;
  (0, _react.useEffect)(() => {
    if (notificationEvent !== null && notificationEvent !== void 0 && notificationEvent.id) {
      present();
    }
  }, [notificationEvent === null || notificationEvent === void 0 ? void 0 : notificationEvent.id, present]);
  (0, _react.useEffect)(() => {
    const removeListener = _NotificationEmitter.emitter.addListener('add_notification', config => {
      var _config$params;

      if (!isModalProvider && (_config$params = config.params) !== null && _config$params !== void 0 && _config$params.isModalNotification) return;
      dispatch({
        type: 'add',
        payload: config
      });
    });

    return removeListener;
  }, [dispatch, isModalProvider]);
  (0, _react.useEffect)(() => {
    const modifyNotification = modifiedConfig => {
      dispatch({
        type: 'modify',
        payload: modifiedConfig
      });
    };

    const removeListener = _NotificationEmitter.emitter.addListener('modify_notification', modifyNotification);

    return removeListener;
  }, [dispatch]);
  (0, _react.useEffect)(() => {
    const removeListener = _NotificationEmitter.emitter.addListener('pop_notification', id => {
      dispatch({
        type: 'pop',
        payload: id
      });
    });

    return removeListener;
  }, [dispatch]);
  (0, _react.useEffect)(() => {
    const removeNotification = _ref2 => {
      let {
        id
      } = _ref2;
      dispatch({
        type: 'remove',
        payload: id,
        onActiveNotification: dismiss
      });
    };

    const removeListener = _NotificationEmitter.emitter.addListener('remove_notification', removeNotification);

    return removeListener;
  }, [dismiss, dispatch, notificationsQueue]);
};

exports.useNotificationEventHandler = useNotificationEventHandler;
//# sourceMappingURL=useNotificationEventHandler.js.map