"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNotificationsStates = void 0;

var _react = require("react");

var _reactNative = require("react-native");

var _useNotificationConfig = require("./useNotificationConfig");

var _pickers = require("../utils/pickers");

var _queueReducer = require("../utils/queueReducer");

var _useStatusBarHeightDetector = require("./useStatusBarHeightDetector");

const useNotificationsStates = () => {
  const panHandlerRef = (0, _react.useRef)(null);
  const longPressHandlerRef = (0, _react.useRef)(null);
  const {
    height: windowHeight,
    width: windowWidth
  } = (0, _reactNative.useWindowDimensions)();
  const isPortraitMode = windowHeight > windowWidth;
  const {
    statusBarHeight
  } = (0, _useStatusBarHeightDetector.useStatusBarHeightDetector)({
    isPortraitMode
  });
  const globalConfig = (0, _useNotificationConfig.useNotificationConfig)();
  const [notificationsQueue, dispatch] = (0, _react.useReducer)(_queueReducer.queueReducer, []);
  const [notificationHeight, setNotificationHeight] = (0, _react.useState)(0);
  const notificationEvent = notificationsQueue[0];
  const config = (0, _pickers.mergeConfigs)(globalConfig, notificationEvent);
  const notificationOffset = (0, _pickers.getNotificationOffset)({
    globalConfig: config,
    notificationHeight,
    isPortraitMode,
    windowHeight,
    statusBarHeight
  });
  return {
    config,
    dispatch,
    notificationOffset,
    panHandlerRef,
    notificationEvent,
    notificationsQueue,
    longPressHandlerRef,
    setNotificationHeight,
    isPortrait: isPortraitMode,
    notificationWidth: config.notificationWidth
  };
};

exports.useNotificationsStates = useNotificationsStates;
//# sourceMappingURL=useNotificationsStates.js.map