"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStatusBarHeightDetector = void 0;

var _react = require("react");

var _reactNative = require("react-native");

const NativeStatusBarManager = require('react-native/Libraries/Components/StatusBar/NativeStatusBarManagerIOS');

const useStatusBarHeightDetector = _ref => {
  let {
    isPortraitMode
  } = _ref;
  const {
    StatusBarManager
  } = _reactNative.NativeModules;
  const [barHeight, setBarHeight] = (0, _react.useState)(0);
  (0, _react.useEffect)(() => {
    var _StatusBar$currentHei;

    if (_reactNative.Platform.OS !== 'ios') return setBarHeight((_StatusBar$currentHei = _reactNative.StatusBar.currentHeight) !== null && _StatusBar$currentHei !== void 0 ? _StatusBar$currentHei : 0); // handling edge case when app is opened in landscape mode and barHeight = 0

    const StatusBarManagerModule = (NativeStatusBarManager === null || NativeStatusBarManager === void 0 ? void 0 : NativeStatusBarManager.default) || StatusBarManager;
    StatusBarManagerModule === null || StatusBarManagerModule === void 0 ? void 0 : StatusBarManagerModule.getHeight(_ref2 => {
      let {
        height
      } = _ref2;
      return setBarHeight(isPortraitMode && height !== 0 ? height : 50);
    });
  }, [StatusBarManager, isPortraitMode]);
  return {
    statusBarHeight: barHeight
  };
};

exports.useStatusBarHeightDetector = useStatusBarHeightDetector;
//# sourceMappingURL=useStatusBarHeightDetector.native.js.map