"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTimer = void 0;

var _react = require("react");

const useTimer = () => {
  const timerId = (0, _react.useRef)(null);
  const clearTimer = (0, _react.useCallback)(() => {
    if (timerId.current !== null) {
      clearTimeout(timerId.current);
    }
  }, []);
  const resetTimer = (0, _react.useCallback)((callback, duration) => {
    if (!duration) return;
    clearTimer();
    timerId.current = setTimeout(callback, duration);
  }, [clearTimer]);
  (0, _react.useEffect)(() => {
    return () => clearTimer();
  }, [clearTimer]);
  return {
    clearTimer,
    resetTimer
  };
};

exports.useTimer = useTimer;
//# sourceMappingURL=useTimer.js.map