"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnimationRenderer = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));

var _reactNativeGestureHandler = require("react-native-gesture-handler");

var _reactNative = require("react-native");

var _styles = require("../utils/styles");

var _config = require("../config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const AnimationRenderer = _ref => {
  let {
    children,
    animationAPI,
    state
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: [animationAPI.animatedStyles],
    needsOffscreenAlphaCompositing: _reactNative.Platform.OS === 'android'
  }, state.notificationEvent && /*#__PURE__*/_react.default.createElement(_reactNativeGestureHandler.LongPressGestureHandler, {
    minDurationMs: 800,
    ref: state.longPressHandlerRef,
    simultaneousHandlers: state.panHandlerRef,
    maxDist: _config.Constants.maxLongPressDragDistance,
    onEnded: animationAPI.revokeTransitionAnimation,
    onActivated: animationAPI.cancelTransitionAnimation
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.boxWrapper
  }, children)));
};

exports.AnimationRenderer = AnimationRenderer;
//# sourceMappingURL=AnimationRenderer.js.map