"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GestureHandler = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeGestureHandler = require("react-native-gesture-handler");

var _reactNativeReanimated = _interopRequireDefault(require("react-native-reanimated"));

var _styles = require("../utils/styles");

var _config = require("../config");

var _calculateNotificationPositionCoordintates = require("../utils/calculateNotificationPositionCoordintates");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const GestureHandler = _ref => {
  let {
    children,
    state,
    animationAPI,
    notificationTopPosition
  } = _ref;
  const {
    width
  } = (0, _reactNative.useWindowDimensions)();
  const {
    calculatedNotificationWidth,
    top,
    left,
    right
  } = (0, _calculateNotificationPositionCoordintates.calculateNotificationPositionCoordintates)({
    screenWidth: width,
    notificationOffset: state.notificationOffset,
    notificationWidth: state.notificationWidth,
    notificationTopPosition
  });
  return /*#__PURE__*/_react.default.createElement(_reactNativeGestureHandler.PanGestureHandler, {
    ref: state.panHandlerRef,
    simultaneousHandlers: state.longPressHandlerRef,
    onGestureEvent: animationAPI.dragGestureHandler,
    onHandlerStateChange: animationAPI.handleDragStateChange
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    onLayout: e => state.setNotificationHeight(e.nativeEvent.layout.height),
    style: [animationAPI.dragStyles, _styles.styles.container, _config.Constants.isAndroid ? _styles.styles.containerAndroid : _styles.styles.containerIos, {
      top,
      left,
      right,
      width: calculatedNotificationWidth
    }]
  }, children));
};

exports.GestureHandler = GestureHandler;
//# sourceMappingURL=GestureHandler.js.map