"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationsRenderer = void 0;

var _react = _interopRequireDefault(require("react"));

var _useNotificationEventHandler = require("../hooks/useNotificationEventHandler");

var _useNotificationsStates = require("../hooks/useNotificationsStates");

var _GestureHandler = require("./GestureHandler");

var _AnimationRenderer = require("./AnimationRenderer");

var _VariantsRenderer = require("./VariantsRenderer");

var _useAnimationAPI = require("../hooks/useAnimationAPI");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const NotificationsRenderer = _ref => {
  let {
    isModalProvider,
    notificationTopPosition
  } = _ref;
  const {
    config,
    ...state
  } = (0, _useNotificationsStates.useNotificationsStates)();
  const animationAPI = (0, _useAnimationAPI.useAnimationAPI)(config);
  (0, _useNotificationEventHandler.useNotificationEventHandler)({ ...state,
    ...animationAPI,
    isModalProvider
  });
  return /*#__PURE__*/_react.default.createElement(_GestureHandler.GestureHandler, {
    state: state,
    animationAPI: animationAPI,
    notificationTopPosition: notificationTopPosition
  }, /*#__PURE__*/_react.default.createElement(_AnimationRenderer.AnimationRenderer, {
    state: state,
    animationAPI: animationAPI
  }, /*#__PURE__*/_react.default.createElement(_VariantsRenderer.VariantsRenderer, {
    config: config,
    notificationEvent: state.notificationEvent
  })));
};

exports.NotificationsRenderer = NotificationsRenderer;
//# sourceMappingURL=NotificationsRenderer.js.map