"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useVariantsRendererContext = exports.VariantsRenderer = void 0;

var _react = _interopRequireWildcard(require("react"));

var _pickers = require("../utils/pickers");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const VariantsRendererContext = /*#__PURE__*/(0, _react.createContext)(undefined);

const VariantsRendererProvider = _ref => {
  let {
    children,
    id
  } = _ref;
  const value = {
    id
  };
  return /*#__PURE__*/_react.default.createElement(VariantsRendererContext.Provider, {
    value: value
  }, children);
};

const useVariantsRendererContext = () => {
  return (0, _react.useContext)(VariantsRendererContext);
};

exports.useVariantsRendererContext = useVariantsRendererContext;

const VariantsRenderer = props => {
  const variant = (0, _pickers.pickVariant)(props.config, props.notificationEvent.notificationType, true);
  const Component = variant.component;
  return /*#__PURE__*/_react.default.createElement(VariantsRendererProvider, {
    id: props.notificationEvent.id
  }, /*#__PURE__*/_react.default.createElement(Component, props.notificationEvent.params));
};

exports.VariantsRenderer = VariantsRenderer;
//# sourceMappingURL=VariantsRenderer.js.map