"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNotifications = exports.remove = exports.notify = exports.modify = exports.getNotificationEmmiter = exports.default = void 0;

var _uuid = require("../utils/uuid");

var _NotificationEmitter = require("./NotificationEmitter");

const remove = id => _NotificationEmitter.emitter.emit('remove_notification', {
  id
});

exports.remove = remove;

const modify = (id, _ref) => {
  let {
    params,
    config
  } = _ref;
  return _NotificationEmitter.emitter.emit('modify_notification', {
    id,
    params,
    config
  });
};

exports.modify = modify;

const notify = (notificationType, setup) => {
  const id = (0, _uuid.generateNotificationId)(notificationType.toString());

  _NotificationEmitter.emitter.emit('add_notification', {
    notificationType,
    id,
    ...setup
  });

  return {
    id
  };
};

exports.notify = notify;
const NotificationEmitterApi = {
  remove,
  modify,
  notify
};

const getNotificationEmmiter = () => {
  return NotificationEmitterApi;
};

exports.getNotificationEmmiter = getNotificationEmmiter;

const useNotifications = () => NotificationEmitterApi;

exports.useNotifications = useNotifications;
var _default = NotificationEmitterApi;
exports.default = _default;
//# sourceMappingURL=NotificationEmitterApi.js.map