"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withAnimationCallbackJSThread = void 0;

var _reactNativeReanimated = require("react-native-reanimated");

const withAnimationCallbackJSThread = (finishedAnimationCallback, notFinishedAnimationCallback) => {
  const fcb = () => finishedAnimationCallback === null || finishedAnimationCallback === void 0 ? void 0 : finishedAnimationCallback();

  const nfcb = () => notFinishedAnimationCallback === null || notFinishedAnimationCallback === void 0 ? void 0 : notFinishedAnimationCallback();

  return finished => {
    'worklet';

    if (finished) {
      (0, _reactNativeReanimated.runOnJS)(fcb)();
    } else {
      (0, _reactNativeReanimated.runOnJS)(nfcb)();
    }
  };
};

exports.withAnimationCallbackJSThread = withAnimationCallbackJSThread;
//# sourceMappingURL=animation.js.map