"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.calculateNotificationPositionCoordintates = void 0;

var _config = require("../config");

const calculateNotificationPositionCoordintates = _ref => {
  let {
    screenWidth,
    notificationOffset,
    notificationWidth,
    notificationTopPosition
  } = _ref;
  const fullWidth = screenWidth - _config.Constants.notificationSideMargin * 2;
  const initialNotificationWidth = notificationWidth || _config.Constants.maxNotificationWidth;
  const isWidthWithinBounds = initialNotificationWidth <= fullWidth;
  const calculatedNotificationWidth = isWidthWithinBounds ? initialNotificationWidth : fullWidth;
  const top = notificationTopPosition || notificationTopPosition === 0 ? notificationTopPosition : notificationOffset.top;
  const left = notificationOffset.left;
  const right = notificationOffset.right;
  return {
    calculatedNotificationWidth,
    top,
    left,
    right
  };
};

exports.calculateNotificationPositionCoordintates = calculateNotificationPositionCoordintates;
//# sourceMappingURL=calculateNotificationPositionCoordintates.js.map