"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultVariants = exports.InAppNotificationsConfig = void 0;

var _success = require("./components/success");

var _warning = require("./components/warning");

var _error = require("./components/error");

var _defaultAnimationConfig = require("./defaultAnimationConfig");

var _info = require("./components/info");

var _defaultGestureConfig = require("./defaultGestureConfig");

var _config = require("../core/config");

const defaultVariants = {
  success: {
    component: _success.SuccessNotification,
    config: {
      __isDefault: true
    }
  },
  warning: {
    component: _warning.WarningNotification,
    config: {
      __isDefault: true
    }
  },
  error: {
    component: _error.ErrorNotification,
    config: {
      __isDefault: true
    }
  },
  info: {
    component: _info.InfoNotification,
    config: {
      __isDefault: true
    }
  }
};
exports.defaultVariants = defaultVariants;
const InAppNotificationsConfig = {
  duration: 3000,
  notificationPosition: 'top',
  variants: defaultVariants,
  animationConfig: _defaultAnimationConfig.SlideInLeftSlideOutRight,
  gestureConfig: _config.Constants.isAndroid ? _defaultGestureConfig.AndroidGestureConfig : _defaultGestureConfig.IosGestureConfig
};
exports.InAppNotificationsConfig = InAppNotificationsConfig;
//# sourceMappingURL=defaultConfig.js.map