"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNotificationController = void 0;

var _react = require("react");

var _NotificationEmitterApi = _interopRequireDefault(require("../core/services/NotificationEmitterApi"));

var _VariantsRenderer = require("../core/renderers/VariantsRenderer");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useNotificationController = () => {
  const context = (0, _VariantsRenderer.useVariantsRendererContext)();
  const remove = (0, _react.useCallback)(id => {
    var _ref;

    _NotificationEmitterApi.default.remove((_ref = id !== null && id !== void 0 ? id : context === null || context === void 0 ? void 0 : context.id) !== null && _ref !== void 0 ? _ref : '');
  }, [context === null || context === void 0 ? void 0 : context.id]);
  const modify = (0, _react.useCallback)(function (id) {
    var _ref2;

    let params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    _NotificationEmitterApi.default.modify((_ref2 = id !== null && id !== void 0 ? id : context === null || context === void 0 ? void 0 : context.id) !== null && _ref2 !== void 0 ? _ref2 : '', params);
  }, [context === null || context === void 0 ? void 0 : context.id]);
  return {
    remove,
    modify
  };
};

exports.useNotificationController = useNotificationController;
//# sourceMappingURL=useNotificationController.js.map