import React from 'react';
import { InAppNotificationsConfig } from '../defaultConfig/defaultConfig';
import { getNotificationEmmiter } from './services/NotificationEmitterApi';
import { NotificationsRenderer } from './renderers/NotificationsRenderer';
import { NotificationContext } from './hooks/useNotificationConfig';
export const createNotifications = config => {
  const emitter = getNotificationEmmiter();
  const CustomVariantsTypeHelper = {};

  const NotificationsProvider = _ref => {
    let {
      children = null
    } = _ref;
    return /*#__PURE__*/React.createElement(NotificationContext.Provider, {
      value: { ...InAppNotificationsConfig,
        ...config
      }
    }, children, /*#__PURE__*/React.createElement(NotificationsRenderer, null));
  };

  const ModalNotificationsProvider = _ref2 => {
    let {
      children = null,
      notificationTopPosition
    } = _ref2;
    return /*#__PURE__*/React.createElement(NotificationContext.Provider, {
      value: { ...InAppNotificationsConfig,
        ...config
      }
    }, children, /*#__PURE__*/React.createElement(NotificationsRenderer, {
      isModalProvider: true,
      notificationTopPosition: notificationTopPosition
    }));
  };

  const useNotifications = () => emitter;

  return {
    useNotifications,
    NotificationsProvider,
    CustomVariantsTypeHelper,
    ModalNotificationsProvider,
    ...emitter
  };
};
//# sourceMappingURL=createNotifications.js.map