import { isValueInRange } from '../../utils/math';
export const shouldTriggerGesture = (config, gesture) => {
  var _config$activationDis, _config$activationVel, _config$activationDis2, _config$activationVel2;

  switch (config.direction) {
    case 'full':
      {
        return !isValueInRange(gesture.distance[0], config.x.activationDistances) || !isValueInRange(gesture.velocity[0], config.x.activationVelocities) || !isValueInRange(gesture.distance[1], config.y.activationDistances) || !isValueInRange(gesture.velocity[1], config.y.activationVelocities);
      }

    case 'x':
      return (// fallback value if config gets only 'direction' param; values reflect FullGestureConfig.x in defualtGestureConfig
        !isValueInRange(gesture.distance[0], (_config$activationDis = config.activationDistances) !== null && _config$activationDis !== void 0 ? _config$activationDis : 100) || !isValueInRange(gesture.velocity[0], (_config$activationVel = config.activationVelocities) !== null && _config$activationVel !== void 0 ? _config$activationVel : 2000)
      );

    case 'y':
      return (// fallback value if config gets only 'direction' param; values reflect FullGestureConfig.y in defualtGestureConfig
        !isValueInRange(gesture.distance[1], (_config$activationDis2 = config.activationDistances) !== null && _config$activationDis2 !== void 0 ? _config$activationDis2 : 100) || !isValueInRange(gesture.velocity[1], (_config$activationVel2 = config.activationVelocities) !== null && _config$activationVel2 !== void 0 ? _config$activationVel2 : 1000)
      );

    case 'none':
    default:
      return false;
  }
};
//# sourceMappingURL=shouldTriggerGesture.js.map