import { useEffect } from 'react';
import { emitter } from '../services/NotificationEmitter';
export const useNotificationEventHandler = _ref => {
  let {
    dismiss,
    notificationEvent,
    notificationsQueue,
    present,
    dispatch,
    isModalProvider
  } = _ref;
  useEffect(() => {
    if (notificationEvent !== null && notificationEvent !== void 0 && notificationEvent.id) {
      present();
    }
  }, [notificationEvent === null || notificationEvent === void 0 ? void 0 : notificationEvent.id, present]);
  useEffect(() => {
    const removeListener = emitter.addListener('add_notification', config => {
      var _config$params;

      if (!isModalProvider && (_config$params = config.params) !== null && _config$params !== void 0 && _config$params.isModalNotification) return;
      dispatch({
        type: 'add',
        payload: config
      });
    });
    return removeListener;
  }, [dispatch, isModalProvider]);
  useEffect(() => {
    const modifyNotification = modifiedConfig => {
      dispatch({
        type: 'modify',
        payload: modifiedConfig
      });
    };

    const removeListener = emitter.addListener('modify_notification', modifyNotification);
    return removeListener;
  }, [dispatch]);
  useEffect(() => {
    const removeListener = emitter.addListener('pop_notification', id => {
      dispatch({
        type: 'pop',
        payload: id
      });
    });
    return removeListener;
  }, [dispatch]);
  useEffect(() => {
    const removeNotification = _ref2 => {
      let {
        id
      } = _ref2;
      dispatch({
        type: 'remove',
        payload: id,
        onActiveNotification: dismiss
      });
    };

    const removeListener = emitter.addListener('remove_notification', removeNotification);
    return removeListener;
  }, [dismiss, dispatch, notificationsQueue]);
};
//# sourceMappingURL=useNotificationEventHandler.js.map