import { useEffect, useState } from 'react';
import { NativeModules, Platform, StatusBar } from 'react-native';

const NativeStatusBarManager = require('react-native/Libraries/Components/StatusBar/NativeStatusBarManagerIOS');

export const useStatusBarHeightDetector = _ref => {
  let {
    isPortraitMode
  } = _ref;
  const {
    StatusBarManager
  } = NativeModules;
  const [barHeight, setBarHeight] = useState(0);
  useEffect(() => {
    var _StatusBar$currentHei;

    if (Platform.OS !== 'ios') return setBarHeight((_StatusBar$currentHei = StatusBar.currentHeight) !== null && _StatusBar$currentHei !== void 0 ? _StatusBar$currentHei : 0); // handling edge case when app is opened in landscape mode and barHeight = 0

    const StatusBarManagerModule = (NativeStatusBarManager === null || NativeStatusBarManager === void 0 ? void 0 : NativeStatusBarManager.default) || StatusBarManager;
    StatusBarManagerModule === null || StatusBarManagerModule === void 0 ? void 0 : StatusBarManagerModule.getHeight(_ref2 => {
      let {
        height
      } = _ref2;
      return setBarHeight(isPortraitMode && height !== 0 ? height : 50);
    });
  }, [StatusBarManager, isPortraitMode]);
  return {
    statusBarHeight: barHeight
  };
};
//# sourceMappingURL=useStatusBarHeightDetector.native.js.map