import React from 'react';
import Animated from 'react-native-reanimated';
import { LongPressGestureHandler } from 'react-native-gesture-handler';
import { Platform, View } from 'react-native';
import { styles } from '../utils/styles';
import { Constants } from '../config';
export const AnimationRenderer = _ref => {
  let {
    children,
    animationAPI,
    state
  } = _ref;
  return /*#__PURE__*/React.createElement(Animated.View, {
    style: [animationAPI.animatedStyles],
    needsOffscreenAlphaCompositing: Platform.OS === 'android'
  }, state.notificationEvent && /*#__PURE__*/React.createElement(LongPressGestureHandler, {
    minDurationMs: 800,
    ref: state.longPressHandlerRef,
    simultaneousHandlers: state.panHandlerRef,
    maxDist: Constants.maxLongPressDragDistance,
    onEnded: animationAPI.revokeTransitionAnimation,
    onActivated: animationAPI.cancelTransitionAnimation
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.boxWrapper
  }, children)));
};
//# sourceMappingURL=AnimationRenderer.js.map