import React from 'react';
import { useNotificationEventHandler } from '../hooks/useNotificationEventHandler';
import { useNotificationsStates } from '../hooks/useNotificationsStates';
import { GestureHandler } from './GestureHandler';
import { AnimationRenderer } from './AnimationRenderer';
import { VariantsRenderer } from './VariantsRenderer';
import { useAnimationAPI } from '../hooks/useAnimationAPI';
export const NotificationsRenderer = _ref => {
  let {
    isModalProvider,
    notificationTopPosition
  } = _ref;
  const {
    config,
    ...state
  } = useNotificationsStates();
  const animationAPI = useAnimationAPI(config);
  useNotificationEventHandler({ ...state,
    ...animationAPI,
    isModalProvider
  });
  return /*#__PURE__*/React.createElement(GestureHandler, {
    state: state,
    animationAPI: animationAPI,
    notificationTopPosition: notificationTopPosition
  }, /*#__PURE__*/React.createElement(AnimationRenderer, {
    state: state,
    animationAPI: animationAPI
  }, /*#__PURE__*/React.createElement(VariantsRenderer, {
    config: config,
    notificationEvent: state.notificationEvent
  })));
};
//# sourceMappingURL=NotificationsRenderer.js.map