import React, { createContext, useContext } from 'react';
import { pickVariant } from '../utils/pickers';
const VariantsRendererContext = /*#__PURE__*/createContext(undefined);

const VariantsRendererProvider = _ref => {
  let {
    children,
    id
  } = _ref;
  const value = {
    id
  };
  return /*#__PURE__*/React.createElement(VariantsRendererContext.Provider, {
    value: value
  }, children);
};

export const useVariantsRendererContext = () => {
  return useContext(VariantsRendererContext);
};
export const VariantsRenderer = props => {
  const variant = pickVariant(props.config, props.notificationEvent.notificationType, true);
  const Component = variant.component;
  return /*#__PURE__*/React.createElement(VariantsRendererProvider, {
    id: props.notificationEvent.id
  }, /*#__PURE__*/React.createElement(Component, props.notificationEvent.params));
};
//# sourceMappingURL=VariantsRenderer.js.map