import { generateNotificationId } from '../utils/uuid';
import { emitter } from './NotificationEmitter';
export const remove = id => emitter.emit('remove_notification', {
  id
});
export const modify = (id, _ref) => {
  let {
    params,
    config
  } = _ref;
  return emitter.emit('modify_notification', {
    id,
    params,
    config
  });
};
export const notify = (notificationType, setup) => {
  const id = generateNotificationId(notificationType.toString());
  emitter.emit('add_notification', {
    notificationType,
    id,
    ...setup
  });
  return {
    id
  };
};
const NotificationEmitterApi = {
  remove,
  modify,
  notify
};
export const getNotificationEmmiter = () => {
  return NotificationEmitterApi;
};
export const useNotifications = () => NotificationEmitterApi;
export default NotificationEmitterApi;
//# sourceMappingURL=NotificationEmitterApi.js.map