import { Constants } from '../config';
export const calculateNotificationPositionCoordintates = _ref => {
  let {
    screenWidth,
    notificationOffset,
    notificationWidth,
    notificationTopPosition
  } = _ref;
  const fullWidth = screenWidth - Constants.notificationSideMargin * 2;
  const initialNotificationWidth = notificationWidth || Constants.maxNotificationWidth;
  const isWidthWithinBounds = initialNotificationWidth <= fullWidth;
  const calculatedNotificationWidth = isWidthWithinBounds ? initialNotificationWidth : fullWidth;
  const top = notificationTopPosition || notificationTopPosition === 0 ? notificationTopPosition : notificationOffset.top;
  const left = notificationOffset.left;
  const right = notificationOffset.right;
  return {
    calculatedNotificationWidth,
    top,
    left,
    right
  };
};
//# sourceMappingURL=calculateNotificationPositionCoordintates.js.map