import { SuccessNotification } from './components/success';
import { WarningNotification } from './components/warning';
import { ErrorNotification } from './components/error';
import { SlideInLeftSlideOutRight } from './defaultAnimationConfig';
import { InfoNotification } from './components/info';
import { AndroidGestureConfig, IosGestureConfig } from './defaultGestureConfig';
import { Constants } from '../core/config';
export const defaultVariants = {
  success: {
    component: SuccessNotification,
    config: {
      __isDefault: true
    }
  },
  warning: {
    component: WarningNotification,
    config: {
      __isDefault: true
    }
  },
  error: {
    component: ErrorNotification,
    config: {
      __isDefault: true
    }
  },
  info: {
    component: InfoNotification,
    config: {
      __isDefault: true
    }
  }
};
export const InAppNotificationsConfig = {
  duration: 3000,
  notificationPosition: 'top',
  variants: defaultVariants,
  animationConfig: SlideInLeftSlideOutRight,
  gestureConfig: Constants.isAndroid ? AndroidGestureConfig : IosGestureConfig
};
//# sourceMappingURL=defaultConfig.js.map