/**
 * Checks if value is in range. To remove limit, set it to `undefined` | `Infinity(+/-)`.
 * @param v `Number` to check if is in range
 * @param d Range of `[min, max]` or single number d representing range with `[-d, d]`
 * @returns `true` if value is in range, `false` otherwise
 */
export const isValueInRange = (v, d) => {
  if (!Array.isArray(d)) {
    return Math.abs(v) < (d !== null && d !== void 0 ? d : Infinity);
  }

  const [min, max] = d;
  return v > (min !== null && min !== void 0 ? min : -Infinity) && v < (max !== null && max !== void 0 ? max : Infinity);
};
//# sourceMappingURL=math.js.map