import type { ViewStyle, TextStyle, ImageStyle } from 'react-native';
import { SharedValue, AnimateStyle } from 'react-native-reanimated';
import type { NotificationState } from './useNotificationsStates';
import { TransitionStylesConfigFunction } from '../../types/animations';
type Styles = AnimateStyle<ViewStyle | TextStyle | ImageStyle>;
export declare const mergeStylesFunctions: (stylesFunctions: TransitionStylesConfigFunction[], progress: SharedValue<number>) => Styles;
export declare const useAnimationAPI: ({ gestureConfig, animationConfig, duration, onClose, }: NotificationState['config']) => {
    present: () => void;
    dismiss: (id?: string) => void;
    animatedStyles: Styles;
    handleDragStateChange: (event: import("react-native-gesture-handler").PanGestureHandlerGestureEvent) => import("react-native-gesture-handler").PanGestureHandlerGestureEvent;
    cancelTransitionAnimation: () => void;
    revokeTransitionAnimation: () => void;
    dragGestureHandler: (event: import("react-native-gesture-handler").PanGestureHandlerGestureEvent) => void;
    dragStyles: {
        transform: ({
            translateX: number;
            translateY?: undefined;
        } | {
            translateY: number;
            translateX?: undefined;
        })[];
    };
};
export type AnimationAPI = ReturnType<typeof useAnimationAPI>;
export {};
