/// <reference types="react" />
export declare const useNotificationsStates: () => {
    config: {
        duration: number;
        notificationPosition: import("../../types/config").NotificationPosition;
        animationConfig: import("../../types").CustomAnimationConfig;
        gestureConfig: import("../../types/gestures").GestureConfig;
        isNotch?: boolean | undefined;
        notificationWidth?: number | undefined;
        onClose?: (() => void) | undefined;
        variants: import("../../types").VariantsMap;
        defaultStylesSettings?: ({
            darkMode?: boolean | undefined;
            globalConfig?: Partial<Partial<{
                notificationPosition?: import("../../types/config").NotificationPosition | undefined;
                titleSize: number;
                titleColor: string;
                descriptionSize: number;
                descriptionColor: string;
                bgColor: string;
                borderRadius: number;
                accentColor: string;
                borderWidth: number;
                multiline: number;
                defaultIconType: import("../../defaultConfig/types").IconVisualStyle;
                leftIconSource: JSX.Element | import("react-native").ImageSourcePropType;
                borderType: import("../../defaultConfig/types").BorderType;
                imageStyle: import("react-native").ImageStyle;
                titleFamily: string;
                descriptionFamily: string;
                titleWeight: "600" | "400" | "normal" | "bold" | "100" | "200" | "300" | "500" | "700" | "800" | "900" | undefined;
                descriptionWeight: "600" | "400" | "normal" | "bold" | "100" | "200" | "300" | "500" | "700" | "800" | "900" | undefined;
            }>> | undefined;
        } & import("../../defaultConfig/types").DefaultStylesConfigs) | undefined;
    };
    dispatch: import("react").Dispatch<import("../../types/reducer").Actions>;
    notificationOffset: {
        top: number;
        left: number | undefined;
        right: number | undefined;
    };
    panHandlerRef: import("react").MutableRefObject<null>;
    notificationEvent: {
        params: any;
        notificationType: keyof import("../../defaultConfig/types").DefaultVariants;
        id: string;
        config?: Partial<import("../../types").NotificationConfigBase> | undefined;
    };
    notificationsQueue: {
        params: any;
        notificationType: keyof import("../../defaultConfig/types").DefaultVariants;
        id: string;
        config?: Partial<import("../../types").NotificationConfigBase> | undefined;
    }[];
    longPressHandlerRef: import("react").MutableRefObject<null>;
    setNotificationHeight: import("react").Dispatch<import("react").SetStateAction<number>>;
    isPortrait: boolean;
    notificationWidth: number | undefined;
};
export type NotificationState = ReturnType<typeof useNotificationsStates>;
