import type { AnimationTypeConfig, CustomAnimationConfig, TransitionStylesConfigFunction } from '../../types/animations';
export declare class AnimationBuilder {
    animationConfigIn: AnimationTypeConfig;
    animationConfigOut?: AnimationTypeConfig;
    transitionInStylesQueue: TransitionStylesConfigFunction[];
    transitionOutStylesQueue: TransitionStylesConfigFunction[];
    transitionInStyles: TransitionStylesConfigFunction;
    transitionOutStyles?: TransitionStylesConfigFunction;
    constructor(config: CustomAnimationConfig);
    add(configToPipe: AnimationBuilder): this;
}
export declare const MoveDownAnimation: CustomAnimationConfig;
export declare const MoveUpAnimation: CustomAnimationConfig;
export declare const RotateZInAnimation: CustomAnimationConfig;
export declare const SlideInLeftAnimation: CustomAnimationConfig;
export declare const CrazyAnimationConfigAnimation: CustomAnimationConfig;
export declare const MoveDown: AnimationBuilder;
export declare const MoveUp: AnimationBuilder;
export declare const ZoomInZoomOut: AnimationBuilder;
export declare const SlideInLeft: AnimationBuilder;
export declare const SlideInLeftSlideOutRight: AnimationBuilder;
export declare const RotateInRotateOut: AnimationBuilder;
export declare const RotateZIn: AnimationBuilder;
export declare const FadeInFadeOut: AnimationBuilder;
export declare const CrazyAnimationConfig: AnimationBuilder;
export declare const VeryCustomTransition: AnimationBuilder;
export declare const DiagonalSlideInLeftSlideOutRight: AnimationBuilder;
export declare const ZoomInDownZoomOutDown: AnimationBuilder;
export declare const ZoomInDownZoomOutUp: AnimationBuilder;
/**
 * @deprecated since version > 0.0.1-beta.2
 */
export declare const generateAnimationConfig: (config: CustomAnimationConfig) => CustomAnimationConfig;
