import type { NotificationsConfig, Variant, VariantsMap } from '../../types';
import type { EmitParam } from '../services/types';
import type { DefaultStylesConfigs } from '../../defaultConfig/types';
import type { KeyType } from '../../types/misc';
type GetNotificationOffsetProps = {
    globalConfig: NotificationsConfig<VariantsMap>;
    notificationHeight: number;
    isPortraitMode: boolean;
    windowHeight: number;
    statusBarHeight: number;
};
export declare const getNotificationOffset: ({ globalConfig, notificationHeight, isPortraitMode, windowHeight, statusBarHeight, }: GetNotificationOffsetProps) => {
    top: number;
    left: number | undefined;
    right: number | undefined;
};
export declare const pickVariant: (config: NotificationsConfig<VariantsMap>, variantKey: KeyType | undefined, strict?: boolean) => Variant<any>;
export declare const mergeConfigs: (globalConfig: NotificationsConfig<VariantsMap>, notificationEvent: EmitParam | undefined) => {
    duration: number;
    notificationPosition: import("../../types/config").NotificationPosition;
    animationConfig: import("../../types").CustomAnimationConfig;
    gestureConfig: import("../../types/gestures").GestureConfig;
    isNotch?: boolean | undefined;
    notificationWidth?: number | undefined;
    onClose?: (() => void) | undefined;
    variants: VariantsMap;
    defaultStylesSettings?: ({
        darkMode?: boolean | undefined;
        globalConfig?: Partial<Partial<{
            notificationPosition?: import("../../types/config").NotificationPosition | undefined;
            titleSize: number;
            titleColor: string;
            descriptionSize: number;
            descriptionColor: string;
            bgColor: string;
            borderRadius: number;
            accentColor: string;
            borderWidth: number;
            multiline: number;
            defaultIconType: import("../../defaultConfig/types").IconVisualStyle;
            leftIconSource: JSX.Element | import("react-native").ImageSourcePropType;
            borderType: import("../../defaultConfig/types").BorderType;
            imageStyle: import("react-native").ImageStyle;
            titleFamily: string;
            descriptionFamily: string;
            titleWeight: "600" | "400" | "normal" | "bold" | "100" | "200" | "300" | "500" | "700" | "800" | "900" | undefined;
            descriptionWeight: "600" | "400" | "normal" | "bold" | "100" | "200" | "300" | "500" | "700" | "800" | "900" | undefined;
        }>> | undefined;
    } & DefaultStylesConfigs) | undefined;
};
export {};
